@charset "UTF-8";

html {
  margin: 0px;
  padding: 0px;
  height: 100%;
  -webkit-font-smoothing: aliased;
  font-size: 62.5%;
  /* remにて計算しやすくした。例：16px = 1.6rem = 1.6em*/
}


body {
  margin: 0px;
  padding: 0px;
  height: 100%;
  font-family: Lato, "Noto Sans JP", "游ゴシック Medium", "游ゴシック体", "Yu Gothic Medium", YuGothic, YuGothicM, "メイリオ", Meiryo, "ＭＳ Ｐゴシック", "MS PGothic", sans-serif;
  -webkit-text-size-adjust: 100%;
  -webkit-font-smoothing: antialiased;
  -moz-osx-font-smoothing: grayscale;
}

/*100%幅でブロックを中央寄せ */
#container {
  padding: 0;
  margin: 0 auto;
  width: 100%;
}

.main {
  flex: 1;
  margin: 0;
  padding: 0;
  background-color: #172f4b;
}


header {
  position: relative;
  text-align: center;
  width: 100%;
}

h1 {
  position: absolute;
  margin: 0;
  padding: 0;
  color: rgb(0, 0, 0);
  top: 72%;
  left: 30%;
  display: none;
}

h2 {
  margin: 0 0 1rem 0;
  padding: 0.6rem 0;
  letter-spacing: 0.5rem;
  text-align: center;
  color: #fff;
  line-height: 1.8;
}

h3 {
  margin: 0;
  padding: 1rem 0;
  font-size: 1.4rem;
  text-align: left;
  color: #e5ff00;
}

p {
  font-family: "Noto Sans JP", serif;
  font-optical-sizing: auto;
  font-weight: 400;
  font-style: normal;
  font-size: 1.6rem;
  text-align: left;
  line-height: 1.6;
}


/*画面幅480px：最小値:0.875rem(14px) → 画面幅840px：最大値:1.125rem(20px)*/
.font-size-S {
  font-size: clamp(0.938rem, 0.521rem + 1.39vw, 1.25rem);
}

/**画面幅480px：最小値:1rem(16px) → 画面幅840px：最大値:1.375rem(22px)*/
.font-size-M {
  font-size: clamp(1rem, 0.5rem + 1.67vw, 1.375rem);
}

/*画面幅480px：最小値:1rem(16px) → 画面幅840px： 最大値:2rem(32px)*/
.font-size-L {
  font-size: clamp(1rem, -0.333rem + 4.44vw, 2rem);
  margin: 0 auto;
  padding: 0;
  text-align: left;
}

.font-size-gattopunk {
  font-size: 1.8rem;
  margin: 0 auto;
  padding: 3.4rem 1rem;
  text-align: left;
  white-space: nowrap;
}

.font-gatto-red {
  font-family: "Noto Sans JP", serif;
  font-weight: 1000;
  font-optical-sizing: auto;
  font-size: clamp(1.125rem, 0.716rem + 2.05vw, 2.25rem);
  margin: 0 auto;
  padding: 0 0 20% 15%;
  text-align: left;
  color: #ff0000;
}

.text-color-blue {
  color: blue;
}

.text-center {
  text-align: center;
}

.font-text-noto400 {
  font-family: "Noto Sans JP", serif;
  font-optical-sizing: auto;
  font-weight: 400;
  font-style: normal;
  color: #000;
}

.font-text-noto600 {
  font-family: "Noto Sans JP", serif;
  font-optical-sizing: auto;
  font-weight: 600;
  font-style: normal;
}

.font-text-noto1000 {
  font-family: "Noto Sans JP", serif;
  font-optical-sizing: auto;
  font-weight: 1200;
  font-style: normal;
  color: #000;
}

.text-link {
  /*ホバーをするとテキストの中央から下線が広がるリンクテキスト*/
  position: relative;
  display: inline-block;
  transition: .3s;
  text-decoration: none;
  color: #ff0000;
}

.text-link::after {
  /*ホバーをするとテキストの中央から下線が広がるリンクテキスト*/
  position: absolute;
  bottom: 0;
  left: 50%;
  content: '';
  width: 0;
  height: 2px;
  background-color: #31aae2;
  transition: .3s;
  transform: translateX(-50%);
}

.text-link:hover::after {
  width: 100%;
}

.text-link :link {
  text-decoration: none;
  /*リンクのアンダーバーを消す*/
  color: aqua;
}

.text-link:active {
  color: #26a69a;
}

/*================================================
 *     ヘッダー
 ================================================*/
#wrapper {
  margin: 0 auto;
  padding: 0;
  clear: both;
  text-align: center;
  height: 100%;
}

.header-logo-over-image {
  margin: 0;
  padding: 0;
  line-height: 0;
  /* ブラウザのデフォルトで行間（line-height）が３px設定されているのをクリアする */
  position: relative;
  background-color: #646464;
}

.top-background-img {
  /* 背景画像 */
  width: 100%;
}

h1.font-size-M.font-text-noto700 {
  /* 沖縄のゲイ情報＆交流プラットフォーム */
  margin: auto;
  padding: 2%;
  font-family: "Noto Sans JP", serif;
  font-optical-sizing: auto;
  font-weight: 700;
  font-style: normal;
  white-space: nowrap;
}

/*================================================
 *      ヘッダー下～リンクボタンまで
 ================================================*/
.yohaku {
  margin: 0 auto;
  width: 80%;
}

.bbs-yohaku {
  display: flex;        /* 親要素をFlexboxに */
  flex-direction: column; /* 子要素を縦並びに */
  align-items: center;    /* コンテナ内で子要素を横中央に配置 */
  margin: 1rem auto;
  padding: 0;
}
.bbs-caution {
  background-color:rgba(8, 58, 105, 0.5);
  text-align: left;
  width: fit-content;    /* 幅を中身に合わせる */
}


/*================================================
 *      お知らせボックス
 ================================================*/
.info-box {
  background-color: #70d101;
  display: flex;
  flex-direction: column;
  flex-wrap: nowrap;
  width: 80%;
  height: 8rem;
  margin: 0 auto 1.4rem auto;
  overflow-y: scroll
}

.info-box dd,
.info-box dt {
  box-sizing: border-box;
  width: 100%;
  padding-bottom: 0.5rem;
  padding-left: 0.5rem;

}

.info-box dt {
  display: flex;
  font-style: normal;
  font-weight: initial;
  text-align: left;
}

.info-box dt:first-of-type {
  padding-top: 0.5rem;
  border-top: 1px dotted #49ffc8;
}

.info-box dt time {
  margin-right: 0.5rem;
}

.info-box dt span {
  box-sizing: border-box;
  display: inline-block;
  width: 7rem;
  margin-right: 0.5rem;
  padding: 0 0.5rem;
  background-color: #009688;
  color: #fff;
  font-size: 1.2rem;
  line-height: 1.75;
  text-align: center
}

.info-box time {
  color: #454546
}

.info-box dd {
  margin-left: 0;
  margin-bottom: 0.5rem;
  border-bottom: 1px dotted #343a40;
  text-align: left;
}

.info-box dd:nth-of-type(-n+3) {
  position: relative
}





/*================================================
 *      ブログと掲示板
 ================================================*/
.main-btn {
  margin: 0 0 2rem 0;
  padding: 0 0;
}

.intoro-yohaku {
  margin: 0 auto;
}

.greeting {
  margin: 0 auto;
  padding: 0.8rem 0 0 0;
  line-height: 160%;
  text-align: left;
  color: #fff;
}

.entrance {
  /* ブログと掲示板のリンクを並べる */
  margin: 0;
  display: flex;
  justify-content: center;
  align-items: center;

  @media (max-width: 768px) {
    justify-content: center;
    flex-direction: column;
  }
}

.entrance-right {
  margin: 0.4rem;
  /* ボタン間の余白 */
  padding: 1.4rem;
  /* ボタン間の余白 */
  font-size: 1.8rem;
  letter-spacing: 0.5em;
  text-align: center;
  height: 1.25rem;
  line-height: 1.25rem;
  /* height と同じ値にすると上下中央になります。 */
  width: 250px;
  color: #fff;
  background-color: #274d79;
  cursor: pointer;
  text-decoration: none;
  /* リンクの下線を表示しない。 */
}

.entrance-right:hover {
  background-color: #33649c
}

.bbs-entrance-left {
  /*ゲイ交流掲示板　Gay Online Forumの2行折り返し*/
  display: grid;
  place-content: center;
  margin: 0.4rem;
  padding: 1.1rem 1.45rem;
  font-size: 1.7rem;
  letter-spacing: 0.25em;
  line-height: 1.85rem;
  /* height と同じ値にすると上下中央になります。 */
  text-align: center;
  width: 250px;
  height: 1.85rem;
  color: #fff;
  background-color: #274d79;
  cursor: pointer;
  text-decoration: none;
  /* リンクの下線を表示しない。 */
}

.entrance-left {
  display: grid;
  place-content: center;
  margin: 0.4rem;
  padding: 1.4rem;
  font-size: 1.8rem;
  letter-spacing: 0.4em;
  line-height: 1.25rem;
  height: 1.25rem;
  /* height と同じ値にすると上下中央になります。 */
  text-align: center;
  width: 250px;
  color: #fff;
  background-color: #274d79;
  cursor: pointer;
  text-decoration: none;
  /* リンクの下線を表示しない。 */
}

.entrance-left:hover {
  background-color: #33649c
}

.bbs-entrance-left:hover {
  background-color: #33649c
}

.shadow {
  box-shadow: 0px 3px 8px rgba(0, 0, 0, 0.5);
}

.x-btn {
  width: 190px;
  height: 50px;
  margin: 0 auto;
  object-fit: none;
}

.under18 {
  margin: 0 auto;
  padding: 1rem 0;
  text-align: left;
  line-height: 1.4;
  color: #00ffff;
  list-style: none;
}

.under18 a:link {
  color: #fff;
}

.under18 a:visited {
  color: rgb(200, 251, 255);
}

.under18 a:hover {
  color: #fffc33;
}

.under18 a:active {
  color: darksalmon;
}


/*================================================
 * 利用規約
  ================================================*/

/* 規約とフッターのグラデーション背景 */
.gradation {
  background-image: -webkit-linear-gradient(left, #00c3ff, #052d61, #00c3ff);
  background-image: -moz-linear-gradient(left, #00c3ff, #052d61, #00c3ff);
  background-image: -ms-linear-gradient(left, #00c3ff, #052d61, #00c3ff);
  background-image: -o-linear-gradient(left, #00c3ff, #052d61, #00c3ff);
}

/* 規約の上のボーダー */
hr.style1 {
  border: 0;
  height: 2px;
  background-image: -webkit-linear-gradient(left, #fff, #0392b6, #fff);
  background-image: -moz-linear-gradient(left, #fff, #0392b6, #fff);
  background-image: -ms-linear-gradient(left, #fff, #0392b6, #fff);
  background-image: -o-linear-gradient(left, #fff, #0392b6, #fff);
  margin: 0;
}

.kiyaku-90 {
  width: 90%;
  margin: 0 auto;
}

.kiyaku {
  margin: 0 auto;
  padding: 1.8rem 0;
  line-height: 160%;
  text-align: left;
  color: #fff;
}

/* 利用規約の番号付箇条書きタグ ol につけたクラス名*/
.rules-kiyaku {
  margin: 0;
  padding-left: 4rem;
  text-align: left;
  color: #fff;
}

.sub-list {
  padding-left: 1.6rem;
}

.sub-list li {
  margin: 0;
  padding-left: 0.4rem;
  text-align: left;
}

.rules {
  margin: 0;
  padding-left: 4rem;
  color: #fff;
}

/* olの直下リスト: ol li */
.rules li {
  padding-left: 0.8rem;
  line-height: 160%;
}

/* 利用規約の最下層のリスト ol li ol*/
.rules li ol {
  padding-left: 1.2rem;
}

/* 利用規約の最下層のリスト ol li ol li*/
.rules li ol li {
  padding-left: 0.8rem;
}

/* 利用規約の番号付箇条書きと同じ階層のP*/
.rules-p {
  margin: 0 auto;
  padding-left: 2rem;
  padding-bottom: 2rem;
  text-align: left;
  line-height: 160%;
  color: #fff;
}

.rules-p a {
  color: darkorange;
}

/*================================================
 *      バナー広告
 ================================================*/
/* デフォルトのスタイル（画面幅が広い場合） */
.banner {
  margin: 0 auto;
  padding: 0;
  background-color: #172f4b;
}

.banner-annai {
  margin: 0 auto;
  padding: 2rem;
  line-height: 150%;
  color: #bcffd5;
}

.banner-ad-background {
  width: 80%;
  margin: 0 auto;
  padding: 0;
  background-color: #2a8fad;
}

.banner-ad-parent {
  position: relative;
}

.banner-ad-parent img {
  margin: 0 auto;
  padding: 0;
  width: auto;
}

.banner-h2 {
  position: absolute;
  top: 50%;
  left: 50%;
  transform: translate(-50%, -50%);  /*センター寄せの修正*/
  /*margin: 1rem auto 0 auto;
  padding: 2rem;*/
  width: 60%;

  /*border: 3px solid #fff;*/
  font-size: 2.6rem;
  font-weight: bold;
  letter-spacing: 3px;
  color: rgb(24, 0, 238);
  /*background-color: #b22222;*/
  /*text-align: center;*/
}


.sample {
  /* バナー広告ひろば section */
  margin: 1rem auto 1rem auto;
  padding: 0;
  width: 80%;
  background-color: #fff;
}

.banner-p {
  margin: 0 auto;
  padding: 0.8rem 0;
  text-align: center;
}

.h2-banner {
  margin: 0;
  padding: 0.6rem 3rem;
  font-size: 1.8rem;
  letter-spacing: 0.8rem;
  line-height: 1.4;
  color: midnightblue;
  background-color: lightsteelblue;
}

.banner-box {/* バナー広告のボックスを並べる */
  margin: 0;
  padding: 0;
  display: flex;
  justify-content: center;
  align-items: center;

  @media (max-width: 768px) {
    justify-content: center;
    flex-direction: column;
  }
}

.banner-box-left {
  margin: 0;
  padding: 0.8rem 0.4rem;
  line-height: 0;
  cursor: pointer;
}

.banner-box-left:hover {
  background-color: #696969
}

.banner-box-right {
  margin: 0;
  padding: 0.8rem 0.4rem;
  line-height: 0;
  cursor: pointer;
}

.banner-box-right:hover {
  background-color: #696969
}

.banner-gattopunk {  /* ガットパンクの大枠 */
  width: 80%;
  margin: 0 auto 0 auto;
  padding: 0;
  background-color: #fff;
}

.kaaz-banner-btn {  /* ガットパンクのバナー */
  margin: 0 auto;
  padding: 0.2rem;
  text-align: center;
}

.banner-btn {
  margin: 0 auto 0.6rem auto;
  padding: 0;
  width: 300px;
  cursor: pointer;
  transition: .3s;
  color: rgb(23, 95, 138);
}

.banner-btn:hover {
  box-shadow: 5px 5px #353535;
}

.banner-btn:active {
  box-shadow: 0 0;
  transform: translate(5px, 5px);
}

.grid-container {  /* item-1とitem-2のカラムの親要素 */
  margin: 0;
  display: grid;
  grid-template-columns: 1.15fr 0.85fr; /* 2つのカラムを指定幅で作成 */
  gap: 0px; /* 要素間の隙間*/
}

.item-1 {  /* 上左：ロゴ画像,GATTOPUNK文字など */
  z-index: 6; /* 要素の重なり順を調整 */
}

.item-2 {  /* 上右：背中画像 */
  z-index: 3;
}

.banner-img-1 {  /* ロゴ画像 */
  margin: 2rem auto 0 auto;
  padding: 0;
  width: 100%;
}

.banner-img-2 {  /* Tシャツ屋の文字画像の親 */
  text-align: left;
}

.banner-img-2 img {  /* Tシャツ屋の文字画像 */
  margin: 0 atuo;
  padding: 1.6rem;
  width: 70%;
}

.banner-img-3 {  /* 人物背中画像 */
  margin: 0 auto;
  width: 100%;
}

.grid-container-2 {  /* item-3とitem-4のカラムの親要素 */
  margin: -28% 0 0 0;
  display: grid;
  grid-template-columns: 1fr 3fr; /* 2つのカラムを指定幅で作成 */
  gap: 0px; /* 要素間の隙間*/
}

.item-3 {  /* 中左：自由に、楽しく個性を大切に…*/
  z-index: 5; /* 要素の重なり順を調整 */
}

.item-4 {  /* 中右：中央のTシャツ2枚ほかの画像の親*/
  z-index: 4;
  margin-top: -10%;
  margin-left: -10%;
}

.banner-img-5 {  /* 中央のTシャツ2枚ほかの画像 */
  max-width: 100%;
}

.grid-container-3 {  /* item-3とitem-4のカラムの親要素 */
  margin: 0;
  display: grid;
  grid-template-columns: 2fr 1fr; /* 2つのカラムを指定幅で作成 */
  gap: 0px; /* 要素間の隙間*/
}

.item-5 {  /* 下右：イラストいっぱい 親 */
  z-index: 2;
}

.item-6 {
  z-index: 1;
}

.item-5 img {
  width: 100%;
}

.h2-color {
  color: #000;
  margin: 0;
  padding: 1rem;
  font-size: 2.2rem;
  letter-spacing: 3px;
}

.text-color-wh {
  padding: 1.8rem 0 0 0;
  letter-spacing: 2px;
  color: #000;
}

.top-free {
  margin-top: 37%;
  color: blue;
}

.tokusetu {
  margin: 0;
  padding: 1.4rem;
}

.grid-container-qrcode {
  /* QRコード配置 */
  margin: 0;
  padding: 2rem;
  display: grid;
  grid-template-columns: 1fr 1fr; /* 2つのカラムを指定幅で作成 */
  gap: 4px; /* 要素間の隙間*/
}

.item-7 img {
  margin: 0;
  padding: 0;
  width: 50%;
}

.item-7 p {
  margin: 0;
  padding: 1rem;
  text-align: center;
}

.item-8 img {
  margin: 0;
  padding: 0;
  width: 50%;
}

.item-8 p {
  margin: 0;
  padding: 1rem;
  text-align: center;
}

/*================================================
  *           700px以下のレイアウト 
================================================*/
@media (max-width: 700px) {
  .banner-ad-parent img {
    width: 60%;
  }
}


/*================================================
  *           650px以下のレイアウト 
================================================*/
@media (max-width: 650px) {

  .bbs-yohaku {
    margin: 0.3rem auto;
    width: 90%;
    padding: 0;
  }
  .yohaku {  /* 龍の舞台は沖縄を拠点にゲイの… */
    margin: 0 auto;
    width: 90%;
  }

  .sample {  /* 実用例 */
    margin: 2rem auto;
    padding: 0;
    width: 90%;
  }

  .banner-gattopunk {
    width: 100%;
    margin: 0 auto;
  }

  .grid-container {  /* 2カラムを重ねて1つにする */
    /* 大枠 */
    grid-template-columns: 1fr;
  }

  .item-1,
  .item-2 {  /* 両方のアイテムを同じグリッドセルに配置して重ねる */
    grid-column: 2 / 1;
    grid-row: 2 / 1;
  }

  .grid-container-2 {
    grid-template-columns: 1fr;  /* 1列にして縦並び */
  }

  .banner-img-2 {
    text-align: center;
  }

  .banner-img-2 img {
    padding-top: 0;
  }

  .gatto-text-center {
    padding: 0;
    text-align: center;  /* ロゴを中央に */
  }

  .item-3 {
    margin: 30% auto 2rem auto;
    padding: 0;
    text-align: center;
  }

  .item-4 {
    padding: 0;
    margin: 0 auto;
    text-align: center;
  }

  .grid-container-3 {  /* 1列にして縦並び */
    grid-template-columns: 1fr;
  }

  .item-5 {
    margin: 2rem 0;
    order: 2;  /* 他の要素よりも後ろに配置される */
    margin: 0;
    padding: 0;
  }

  .item-6 {
    order: 1;  /* 他の要素よりも後ろに配置される */
    padding: 0;
  }

  .font-size-gattopunk {
    font-size: 1.8rem;
    margin: 0 auto;
    padding: 2rem 0 0.8rem 0;
    text-align: center;
  }

  .text-color-red {
    margin: 10% 0;
    padding-top: 18%;
    padding-bottom: 1rem;
    font-size: 3.6rem;
    font-weight: 900;
    line-height: 3.6rem;
  }

  .text-color-wh {
    color: #fff;
  }

  .top-free {
    text-align: center;
    margin: 0;
    padding: 0;
    line-height: 2.8rem;
  }

}

/*================================================
 *      フッター
 ================================================*/
.copyright {
  width: 100%;
  line-height: 3.1rem;
  height: 3.1rem;
  color: #fff;
  font-size: 1.4rem;
  display: grid;
  place-content: center;
}

.footer p {
  margin: 0;
  line-height: 3.1rem;
  height: 3.1rem;
  color: #fff;
  font-size: 1.4rem;
  background-image: -moz-linear-gradient(left, #fff, #274d79, #fff);
  background-image: -webkit-linear-gradient(left, #fff, #274d79, #fff);
  background-image: linear-gradient(left, #fff, #274d79, #fff);

}


@media screen and (max-width: 480px) {

  /*================================================
    *  画面サイズが480pxまではここを読み込む
  ================================================*/

  /* 沖縄のゲイ情報＆交流プラットフォーム */
  h1 {
    top: 70%;
    left: 20%;
  }

  /* お知らせボックス */
  .info-box {
    -webkit-box-orient: horizontal;
    -webkit-box-direction: normal;
    flex-direction: row;
    width: 90%;
    flex-wrap: wrap;
  }

  .info-box dt {
    width: 12.5rem;
    margin-bottom: 0;
    width: 45%;
    flex-wrap: wrap;
  }

  .info-box dd {
    width: 100%;
    margin: 0;
    padding-left: 0.6rem;
    padding-right: 0.6rem;

    border-bottom: 1px dotted #343a40;
  }
  .info-box dd ul{
    margin: 0;
    padding-left: 1.8rem;
  }
  .info-box dd ul li{
    padding: 0rem;
  }

  .info-box dt span {
    width: 6rem;
    margin-right: 0;
  }

  .info-box dd:first-of-type {
    padding-top: 0.2rem;
  }

  .info-box dt time {
    margin-left: 0.5rem;
  }

  /*リンクボタン*/
  .bbs-entrance-left {
    /*ゲイ交流掲示板　Gay Online Forumの2行折り返し*/
    display: grid;
    place-content: center;
    margin: 0.4rem;
    padding: 1.4rem;
    font-size: 1.7rem;
    letter-spacing: 0.25em;
    line-height: 2.1rem;
    /* height と同じ値にすると上下中央になります。 */
    height: 2.1rem;
    /* リンクの下線を表示しない。 */
  }



  /* バナー広告 */
  .banner-annai {
    font-size: 1.2rem;
    padding: 1rem;

  }

  .h2-cbd-item {
    font-size: 1.4rem;
  }

  .h2-cbd {
    font-size: 1.4rem;
  }

  .greeting {
    padding: 1rem 0 0 0;
    line-height: 1.5;
  }

  .rules-kiyaku {
    margin: 0;
    padding-left: 0.8rem;
  }

  /* 利用規約の番号付箇条書きタグ ol につけたクラス名*/
  .rules {
    margin: 0;
    padding-left: 0.6rem;
  }

  /* olの直下リスト: ol li */
  .rules li {
    padding-left: 0.4rem;
  }

  /* 利用規約の最下層のリスト ol li ol*/
  .rules li ol {
    padding-left: 0.6rem;
  }

  /* 利用規約の最下層のリスト ol li ol li*/
  .rules li ol li {
    padding-left: 0.6rem;
  }

  /* 利用規約の番号付箇条書きと同じ階層のP*/
  .rules-p {
    margin: 0 auto;
    padding-left: 1.8rem;
    padding-right: 1.8rem;
    padding-bottom: 2rem;
  }

  .rules-p a {
    color: darkorange;
  }


  .h2-color {
    margin: 0;
    padding: 0;
  }

  /*  .banner {
    width: 95%;
  }*/
  .grid-container {
    width: 100%;
  }

  .banner-ad-background {
    width: 90%;
  }
}


@media screen and (min-width: 840px) {
  /*================================================
  *           840px以上 
================================================*/

  #wrapper{
    width: 840px;
    margin-left: auto;
    margin-right: auto;
    height: 100%;
  }

}